aboutsummaryrefslogtreecommitdiff
path: root/semanticscuttle-dl
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-10-17 14:42:04 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-10-17 14:42:04 -0300
commit632567f6485bca46119fd2d4cacfbbc81ce3d68b (patch)
tree7db71f5fbcaea55b46b2867c026e53f936953415 /semanticscuttle-dl
parent7138ad699d3439886d805738402c5dd3cdd1b289 (diff)
downloaddownloaders-632567f6485bca46119fd2d4cacfbbc81ce3d68b.tar.gz
downloaders-632567f6485bca46119fd2d4cacfbbc81ce3d68b.tar.bz2
Adding more downloaders
Diffstat (limited to 'semanticscuttle-dl')
-rwxr-xr-xsemanticscuttle-dl28
1 files changed, 28 insertions, 0 deletions
diff --git a/semanticscuttle-dl b/semanticscuttle-dl
new file mode 100755
index 0000000..c4f1e50
--- /dev/null
+++ b/semanticscuttle-dl
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# SemanticScuttle simple upgrader.
+#
+
+BASENAME="`basename $0`"
+PREVIOUS="$1"
+CURRENT="$2"
+
+if [ -z "$CURRENT" ]; then
+ echo "usage: $BASENAME <previous> <current>"
+ exit 1
+fi
+
+wget http://downloads.sourceforge.net/project/semanticscuttle/SemanticScuttle/v0.98/SemanticScuttle-$CURRENT.zip && \
+unzip SemanticScuttle-$CURRENT.zip && \
+rm SemanticScuttle-$CURRENT.zip && \
+cp -a SemanticScuttle-$PREVIOUS/data/config.php SemanticScuttle-$CURRENT/data/ && \
+rm site && \
+ln -s SemanticScuttle-$CURRENT/www site && \
+echo "Audit:" && \
+du -hs SemanticScuttle-$PREVIOUS && \
+du -hs SemanticScuttle-$CURRENT
+
+if [ -d "patches" ]; then
+ echo "Check and apply the following patches manually:"
+ find patches
+fi